Page MenuHomePhabricator

Load search suggestion for strings typed before initializing JavaScript
Closed, ResolvedPublic

Description

Steps to reproduce

  • Load https://www.mediawiki.org/wiki/MediaWiki with a slow internet connection.
  • Start typing a few characters into the search field as soon as the search field is visible.
  • Wait until the JavaScript is loaded and initialized.
  • Current behavior: You have to enter a further character. Then the search suggestions gets loaded and the search suggestions box are shown.
  • Expected behavior: The search suggestion engine loads the search suggestions of the already typed characters on initializing the JavaScript. The search suggestion box gets shown automatically as soon as the JavaScript and the search suggestions are loaded.

Event Timeline

Fomafix created this task.May 16 2019, 7:57 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptMay 16 2019, 7:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 510227 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] mediawiki.searchSuggest: Trigger keypress on initializing

https://gerrit.wikimedia.org/r/510227

EBernhardson triaged this task as Normal priority.May 23 2019, 5:10 PM
EBernhardson moved this task from needs triage to Current work on the Discovery-Search board.

Change 510227 merged by jenkins-bot:
[mediawiki/core@master] jquery.suggestions: Trigger keypress on initializing

https://gerrit.wikimedia.org/r/510227

Fomafix closed this task as Resolved.May 24 2019, 6:32 AM
Fomafix removed a project: Patch-For-Review.
Fomafix moved this task from Needs review to Done on the Discovery-Search (Current work) board.